Ipelib

Public Member Functions | List of all members
ipe::PdfObj Class Referenceabstract
Ipe Base

`#include <ipepdfparser.h>`

Inherited by ipe::PdfArray, ipe::PdfBool, ipe::PdfDict, ipe::PdfName, ipe::PdfNull, ipe::PdfNumber, ipe::PdfRef, and ipe::PdfString.

## Public Member Functions
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const noexcept
virtual const PdfBool * | boolean () const noexcept
virtual const PdfNumber * | number () const noexcept
virtual const PdfString * | string () const noexcept
virtual const PdfName * | name () const noexcept
virtual const PdfRef * | ref () const noexcept
virtual const PdfArray * | array () const noexcept
virtual const PdfDict * | dict () const noexcept
virtual void | write (Stream &stream, const PdfRenumber *renumber=nullptr, bool inflate=false) const noexcept=0
String | repr () const noexcept

## Detailed Description

Abstract base class for PDF objects.

## Constructor & Destructor Documentation

## ◆ ~PdfObj()

PdfObj::~PdfObj | ( |  | ) |
| pure virtual

Pure virtual destructor.

## Member Function Documentation

## ◆ null()

const PdfNull * PdfObj::null | ( |  | ) | const
| virtual noexcept

Return this object as PDF null object.

Reimplemented in ipe::PdfNull.

## ◆ boolean()

const PdfBool * PdfObj::boolean | ( |  | ) | const
| virtual noexcept

Return this object as PDF bool object.

Reimplemented in ipe::PdfBool.

## ◆ number()

const PdfNumber * PdfObj::number | ( |  | ) | const
| virtual noexcept

Return this object as PDF number object.

Reimplemented in ipe::PdfNumber.

Referenced by ipe::PdfDict::getNumber(), and ipe::PdfDict::getNumberArray().

## ◆ string()

const PdfString * PdfObj::string | ( |  | ) | const
| virtual noexcept

Return this object as PDF string object.

Reimplemented in ipe::PdfString.

## ◆ name()

const PdfName * PdfObj::name | ( |  | ) | const
| virtual noexcept

Return this object as PDF name object.

Reimplemented in ipe::PdfName.

Referenced by ipe::PdfDict::deflated(), ipe::Face::Face(), and ipe::PdfDict::getName().

## ◆ ref()

const PdfRef * PdfObj::ref | ( |  | ) | const
| virtual noexcept

Return this object as PDF reference object.

Reimplemented in ipe::PdfRef.

Referenced by ipe::Face::Face(), ipe::PdfResourceBase::getDeep(), ipe::PdfArray::obj(), and ipe::Latex::readPdf().

## ◆ array()

const PdfArray * PdfObj::array | ( |  | ) | const
| virtual noexcept

Return this object as PDF array object.

Reimplemented in ipe::PdfArray.

Referenced by ipe::PdfDict::deflated(), ipe::Face::Face(), ipe::PdfDict::getArray(), ipe::PdfDict::getNumberArray(), and ipe::Latex::readPdf().

## ◆ dict()

const PdfDict * PdfObj::dict | ( |  | ) | const
| virtual noexcept

Return this object as PDF dictionary object.

Reimplemented in ipe::PdfDict.

Referenced by ipe::PdfFile::catalog(), ipe::PdfResources::collect(), ipe::Face::Face(), ipe::PdfResourceBase::getDict(), ipe::PdfDict::getDict(), ipe::PdfParser::getObjectDef(), ipe::Latex::readPdf(), ipe::PdfThumbnail::render(), ipe::PdfResourceBase::resourcesOfKind(), and ipe::PdfViewBase::setPage().

## ◆ write()

virtual void ipe::PdfObj::write | ( | Stream & | stream,
|  | const PdfRenumber * | renumber = `nullptr`,
|  | bool | inflate = `false`
| ) |  | const
| pure virtual noexcept

Implemented in ipe::PdfDict, ipe::PdfArray, ipe::PdfRef, ipe::PdfName, ipe::PdfString, ipe::PdfNumber, ipe::PdfBool, and ipe::PdfNull.

Referenced by repr().

## ◆ repr()

String PdfObj::repr | ( |  | ) | const
| noexcept

Return PDF representation of the object.

References write().

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp